<template>
  <div class="public-bounced" v-drag v-if="flag">
    <div class="public-bounced-title">
      <span>{{ displayContentTitle }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left">
        <public-tabs :displayContentTab="displayContentTab" :value="value"
                     :setWasteGasdata="setWasteGasdata" :setWasteWaterdata="setWasteWaterdata"></public-tabs>
        <div class="public-bounced-content-left-bottom">
          <public-table v-if="value === 'gufei'"
                        :displayContentTable="displayContentTable"></public-table>
          <public-chart v-else :getWasteGasDetails="getWasteGasDetails"
                        :value="value"
                        :getWasteWaterMonitoring="getWasteWaterMonitoring"
                        :getWasteWaterMonitoringDetails="getWasteWaterMonitoringDetails"></public-chart>
        </div>
      </div>
      <div class="public-bounced-content-right">
        <public-video></public-video>
      </div>
    </div>
  </div>
</template>

<script>

import '@/components/BaseNav/SolidWaste/directive/dir'
import PublicTabs from '@components/BaseNav/PublicBounced/GasComponents/PublicTabs'
import PublicTable from '@components/BaseNav/PublicBounced/GasComponents/PublicTable'
import PublicVideo from '@components/BaseNav/PublicBounced/GasComponents/PublicVideo'
import PublicChart from './GasComponents/PublicChart'

export default {
  name: 'PublicBounced',
  components: {
    PublicTabs,
    PublicTable,
    PublicChart,
    PublicVideo
  },
  data () {
    return {
      setWasteGasdata: '',
      setWasteWaterdata: '',
      displayContentTitle: '',
      displayContentTab: '',
      displayContentTable: '',
      flag: false,
      value: '',
      getWasteGasDetails: [],
      getWasteWaterMonitoringDetails: [],
      getWasteWaterMonitoring: []
    }
  },
  methods: {
    closePopup () {
      this.flag = false
    },
    setData (dataBasic, dataDetailed, value) {
      this.flag = true
      this.value = value
      dataBasic.forEach(item => {
        this.displayContentTitle = item.StoragePlaceName
      })
      this.displayContentTab = dataBasic
      this.displayContentTable = dataDetailed
      this.flag = true
      this.value = value
    },
    setGasData (data, dataDetails, value) {
      this.setWasteGasdata = data
      this.getWasteGasDetails = dataDetails
      // console.log(dataDetails)
      this.displayContentTitle = data.Name
      this.flag = true
      this.value = value
    },
    setWaterData (dataWater, dataDetail, drawData, value) {
      this.setWasteWaterdata = dataWater
      // console.log(data)
      this.getWasteWaterMonitoring = drawData
      // console.log(drawData)
      this.getWasteWaterMonitoringDetails = dataDetail
      this.displayContentTitle = dataWater.Name
      this.flag = true
      this.value = value
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  width: 8rem;
  //height: 2.6rem;
  //width: 70vw;
  //height: 30vh;
  z-index: 999;
  position: absolute;
  //bottom: 2rem;
  //left: 5rem;
  top: 15%;
  left: 15%;
  background-color: #002432;
  border: 1px #9fc5c8 solid;

  .public-bounced-title {
    height: 0.1rem;
    border: 1px #a4c0d8 solid;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: white;
      margin: 0 15px;
      font-size: 22px;
      cursor: pointer;
    }
  }

  .public-bounced-content {
    margin: 0.2rem auto !important;
    display: flex;
    //align-items: center;
    justify-content: space-around;

    .public-bounced-content-left {
      width: 4.8rem;
    }

    .public-bounced-content-right {
      width: 3rem;
    }
  }
}
</style>
